﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Windows.Controls;

namespace Hardcodet.Wpf.DataBinding.Sample
{
  public class CityRule : ValidationRule
  {
    public override ValidationResult Validate(object value, CultureInfo cultureInfo)
    {
      if (value == null) return new ValidationResult(false, "Value cannot be null");
      else if (value.ToString().Length < 3) return new ValidationResult(false, "Please enter at least 3 characters.");
      else return ValidationResult.ValidResult;
    }
  }
}
